## coffeescript 1.12.7~dfsg

=== debian/changelog ===
coffeescript (1.12.7~dfsg-3) unstable; urgency=medium

  * Drop patch the use /usr/bin/nodejs (see bug#862051).
    (Build-)depend on recent nodejs (or nodejs-legacy).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Sep 2017 17:58:19 +0200

coffeescript (1.12.7~dfsg-2) unstable; urgency=medium

  * Fix install package.json.
    Closes: Bug#873912. Thanks to Adrian Bunk.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Sep 2017 10:57:20 +0200

coffeescript (1.12.7~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file: Limit to 1.x.x releases.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Consistently use anonscm host.
    + Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Relax to build-depend unversioned on cdbs: Required version
    satisfied even in oldstable.
  * Drop patches to avoid tests during build and to test exitcode: Fixed
    upstream.
  * Unfuzz patches.
  * Advertise DEP3 format in patch headers.
  * Update copyright info: Use https protocol in file format URL.
  * Update git-buildpackage config: Filter any .git* files.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Use section javascript (not web) for libjs-coffeescript.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 20:23:54 +0200

coffeescript (1.12.5~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Update paths to exclude when repackaging upstream source.
    + Extend coverage for main upstream author.
    + Drop sections for no longer included upstream files.
    + Extend copyright of packaging to cover recent years.
  * Add note to README.source on handling git zero-padded file modes.
  * Handle install in rules file: Upstream dropped install target.
    Drop patch to make upstream install rules more flexible.
  * Unfuzz patches.
  * Update watch file:
    + Bump watch file format version to 4.
    + Use Github pattern.
    + Add usage comment.
  * Modernize cdbs:
    + Improve copyright-check to extract metadata from images.
    + Do copyright-check in maintainer script (not during build).
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Drop debhelper hint: Handled in CDBS now.
  * Update source paths to documentation and examples.
  * Add patch to continue use UglifyJS: closure-compiler-js is not in
    debian, and evidently has _zero_ size benefit (not "half the size"
    as claimed in 0.12.0 release notes).
  * Add patch to fix exitcode of test targets.
  * Declare compliance with Debian Policy 3.9.8.
  * Fix use section web for package libjs-coffeescript.
  * Add patch to use local shared libraries.
    Have coffeescript-doc symlink shared JavaScript libraries.
  * Update package relations:
    + Build-depend on jison.
    + Stop build-depend on devscripts.
    + Have coffeescript-doc recommend libjs-coffeescript libjs-jquery
      libjs-underscore.
    + Tighten to (build-)depend versioned on nodejs: Avoids testsuite
      failure "empty command evaluates to undefined"
      (see <https://github.com/jashkenas/coffeescript/issues/4502>).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Apr 2017 14:38:17 +0200
