=== debian/control ===
Source: coffeescript
Section: devel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Geza Kovacs <gkovacs@mit.edu>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 nodejs (>= 6.11.2~dfsg) | nodejs-legacy (>= 6),
 node-uglify (>= 2.2),
 node-underscore,
 jison,
 help2man
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/coffeescript.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/coffeescript.git
Homepage: http://coffeescript.org/

Package: coffeescript
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides}
Description: interpreter and compiler for the CoffeeScript language
 CoffeeScript is a little language that compiles into JavaScript.
 Underneath all of those embarrassing braces and semicolons, JavaScript
 has always had a gorgeous object model at its heart. CoffeeScript is an
 attempt to expose the good parts of JavaScript in a simple way.
 .
 The golden rule of CoffeeScript is: "It's just JavaScript". The code
 compiles one-to-one into the equivalent JS, and there is no
 interpretation at runtime. You can use any existing JavaScript library
 seamlessly (and vice-versa). The compiled output is readable and
 pretty-printed, passes through JavaScript Lint without warnings, will
 work in every JavaScript implementation, and tends to run as fast or
 faster than the equivalent handwritten JavaScript.
 .
 The "cake" executable is provided as "cake.coffeescript" to peacefully
 coexist with cakephp.

Package: libjs-coffeescript
Section: javascript
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: client-side interpreter for the CoffeeScript language
 CoffeeScript is a little language that compiles into JavaScript.
 Underneath all of those embarrassing braces and semicolons, JavaScript
 has always had a gorgeous object model at its heart. CoffeeScript is an
 attempt to expose the good parts of JavaScript in a simple way.
 .
 The golden rule of CoffeeScript is: "It's just JavaScript". The code
 compiles one-to-one into the equivalent JS, and there is no
 interpretation at runtime. You can use any existing JavaScript library
 seamlessly (and vice-versa). The compiled output is readable and
 pretty-printed, passes through JavaScript Lint without warnings, will
 work in every JavaScript implementation, and tends to run as fast or
 faster than the equivalent handwritten JavaScript.
 .
 This package contains a concatenated and compressed version of the
 CoffeeScript compiler. To use it in the browser, include the script
 after any inline script tags of type "text/coffeescript" on the page.
 It will compile and evaluate all of the scripts in order.

Package: coffeescript-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${cdbs:Recommends}
Description: documentation for the CoffeeScript language
 CoffeeScript is a little language that compiles into JavaScript.
 Underneath all of those embarrassing braces and semicolons, JavaScript
 has always had a gorgeous object model at its heart. CoffeeScript is an
 attempt to expose the good parts of JavaScript in a simple way.
 .
 The golden rule of CoffeeScript is: "It's just JavaScript". The code
 compiles one-to-one into the equivalent JS, and there is no
 interpretation at runtime. You can use any existing JavaScript library
 seamlessly (and vice-versa). The compiled output is readable and
 pretty-printed, passes through JavaScript Lint without warnings, will
 work in every JavaScript implementation, and tends to run as fast or
 faster than the equivalent handwritten JavaScript.
 .
 This package contains documentation.
