=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,dversionmangle=s/~dfsg.*//,repacksuffix=~dfsg" \
 https://github.com/jashkenas/coffee-script/tags \
 (?:.*?/)?v?(1[\d.]*)\.tar\.gz debian
