## coffeescript 1.12.8~dfsg

=== debian/changelog ===
coffeescript (1.12.8~dfsg-6) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper and nodejs.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.

  [ Jérémy Lal ]
  * watch: use version from man uscan
  * Patch to fix repl.rli calls for nodejs >= 16

 -- Jérémy Lal <kapouer@melix.org>  Sat, 30 Apr 2022 14:11:45 +0200

coffeescript (1.12.8~dfsg-5) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * Replace deprecated node-uglify by uglifyjs (Closes: #979913)

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Jan 2021 06:14:59 +0100

coffeescript (1.12.8~dfsg-4) unstable; urgency=medium

  * Revert needless debhelper compatibility level bump,
    introduced in 1.12.8~dfsg-2.
  * Add patch cherry-picked upstream
    to fix test relying on faulty behavior.
    Drop local patch wrongly papering over the issue,
    introduced in 1.12.8~dfsg-2.
  * Advertise DEP3 format in patch header.
  * Add autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Jan 2019 20:01:56 +0100

coffeescript (1.12.8~dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to workaround failing test (Closes: #918491)
  * Add patch to fix node interpreter path
  * Hide false positive lintian errors
  * Bump debhelper compatibility level to 10 (cdbs isn't compatible with 11)

 -- Xavier Guimard <yadd@debian.org>  Mon, 07 Jan 2019 23:55:33 +0100

coffeescript (1.12.8~dfsg-2) unstable; urgency=medium

  * Update copyright info:
    + Fix primary source URL.
    + Extend coverage of packaging.
  * Simplify rules: Stop resolve build-dependencies in rules file.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.3.0.
  * Set Rules-Requires-Root: no.
  * Wrap and sort control file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Dec 2018 22:56:55 +0100

coffeescript (1.12.8~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update Vcs-* fields: Source moved to Salsa.
  * Use https protocol in homepage URL.
  * Update copyright info: Strip needless copyright signs.
  * Update watch file:
    + Use substitution strings.
    + Tighten dversionmangle.
    + Fix typo in watch file usage comment.
  * Strip unused code copies of normalize.css from repackaged source.
    Closes: Bug#898780. Thanks to Bastien ROUCARIÈS.
  * Use package priority optional (not obsolete extra).
  * Declare compliance with Debian Policy 4.1.4.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Jun 2018 19:27:14 +0200
