=== debian/control ===
--- 
+++ 
@@ -1,29 +1,34 @@
 Source: coffeescript
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>,
- Geza Kovacs <gkovacs@mit.edu>
-Build-Depends: cdbs,
- debhelper,
- dh-buildinfo,
- nodejs (>= 6.11.2~dfsg) | nodejs-legacy (>= 6),
- node-uglify (>= 2.2),
+Uploaders:
+ Jonas Smedegaard <dr@jones.dk>,
+ Geza Kovacs <gkovacs@mit.edu>,
+Build-Depends:
+ cdbs,
+ debhelper (>= 10~),
+ help2man,
+ jison,
  node-underscore,
- jison,
- help2man
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/coffeescript.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/coffeescript.git
-Homepage: http://coffeescript.org/
+ nodejs | nodejs-legacy (>= 6),
+ uglifyjs
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/js-team/coffeescript
+Vcs-Git: https://salsa.debian.org/js-team/coffeescript.git
+Homepage: https://coffeescript.org/
+Rules-Requires-Root: no
 
 Package: coffeescript
 Architecture: all
-Depends: ${shlibs:Depends},
+Depends:
+ ${cdbs:Depends},
  ${misc:Depends},
- ${cdbs:Depends}
-Suggests: ${cdbs:Suggests}
-Provides: ${cdbs:Provides}
+ ${shlibs:Depends},
+Suggests:
+ ${cdbs:Suggests},
+Provides:
+ ${cdbs:Provides},
 Description: interpreter and compiler for the CoffeeScript language
  CoffeeScript is a little language that compiles into JavaScript.
  Underneath all of those embarrassing braces and semicolons, JavaScript
@@ -44,11 +49,14 @@
 Package: libjs-coffeescript
 Section: javascript
 Architecture: all
-Depends: ${shlibs:Depends},
+Depends:
+ ${cdbs:Depends},
  ${misc:Depends},
- ${cdbs:Depends}
-Recommends: ${cdbs:Recommends}
-Suggests: ${cdbs:Suggests}
+ ${shlibs:Depends},
+Recommends:
+ ${cdbs:Recommends},
+Suggests:
+ ${cdbs:Suggests},
 Description: client-side interpreter for the CoffeeScript language
  CoffeeScript is a little language that compiles into JavaScript.
  Underneath all of those embarrassing braces and semicolons, JavaScript
@@ -71,8 +79,10 @@
 Package: coffeescript-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: ${cdbs:Recommends}
+Depends:
+ ${misc:Depends},
+Recommends:
+ ${cdbs:Recommends},
 Description: documentation for the CoffeeScript language
  CoffeeScript is a little language that compiles into JavaScript.
  Underneath all of those embarrassing braces and semicolons, JavaScript
