## coffeescript 2.7.0

=== debian/changelog ===
coffeescript (2.7.0-4) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-3, 6-35, 38-41, 44.
  * Drop __proto__ calls in test

 -- Yadd <yadd@debian.org>  Fri, 02 Dec 2022 09:39:09 +0100

coffeescript (2.7.0-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #1012387)

 -- Yadd <yadd@debian.org>  Mon, 06 Jun 2022 11:43:32 +0200

coffeescript (2.7.0-2) unstable; urgency=medium

  * Add missing legacy coffee-script/register.js
  * Update lintian overrides
  * Add breaks against:
    + node-cson-parser < 4.0.9-2~
    + node-grunt-contrib-coffee < 1.0.0-5~
    + node-turbolinks < 5.2.0+dfsg-5~
    + node-xml2js < 0.4.23+~cs15.4.0+dfsg-3~
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 04 Jun 2022 07:48:16 +0200

coffeescript (2.7.0-1) experimental; urgency=medium

  * New upstream version 2.7.0
  * Drop 020180410~be2b243.patch, now included in upstream
  * Add transitional coffee-script since upstream renamed its module into
    coffeescript
  * Drop browser part of test: needs a lot of dependencies via node-pupeeter
  * Update lintian overrides
  * Refresh patches
  * Update build
  * Update docs

 -- Yadd <yadd@debian.org>  Thu, 02 Jun 2022 18:38:55 +0200

coffeescript (1.12.8~dfsg-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.6.1
  * Replace cdbs by debhelper + dh-sequence-nodejs auto test & install
    (Closes: #1011884)
  * Update lintian overrides
  * Replace Jonas Smedegaard by myself in uploaders list, thanks for your
    work!

 -- Yadd <yadd@debian.org>  Thu, 02 Jun 2022 17:01:12 +0200
