=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: coffeescript
+Testsuite: autopkgtest-pkg-nodejs
 Section: devel
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders:
- Jonas Smedegaard <dr@jones.dk>,
- Geza Kovacs <gkovacs@mit.edu>,
-Build-Depends:
- cdbs,
- debhelper (>= 10~),
- help2man,
- jison,
- node-underscore,
- nodejs | nodejs-legacy (>= 6),
- uglifyjs
-Standards-Version: 4.5.1
+Uploaders: Yadd <yadd@debian.org>
+ , Geza Kovacs <gkovacs@mit.edu>
+Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , help2man
+ , jison
+ , node-babel7
+ , node-underscore
+ , uglifyjs
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/coffeescript
 Vcs-Git: https://salsa.debian.org/js-team/coffeescript.git
 Homepage: https://coffeescript.org/
@@ -21,14 +20,14 @@
 
 Package: coffeescript
 Architecture: all
-Depends:
- ${cdbs:Depends},
- ${misc:Depends},
- ${shlibs:Depends},
-Suggests:
- ${cdbs:Suggests},
-Provides:
- ${cdbs:Provides},
+Depends: ${misc:Depends}
+ , nodejs:any
+Suggests: libjs-coffeescript
+Provides: ${nodejs:Provides}
+Breaks: node-cson-parser (<< 4.0.9-2~)
+ , node-grunt-contrib-coffee (<< 1.0.0-5~)
+ , node-turbolinks (<< 5.2.0+dfsg-5~)
+ , node-xml2js (<< 0.4.23+~cs15.4.0+dfsg-3~)
 Description: interpreter and compiler for the CoffeeScript language
  CoffeeScript is a little language that compiles into JavaScript.
  Underneath all of those embarrassing braces and semicolons, JavaScript
@@ -49,14 +48,9 @@
 Package: libjs-coffeescript
 Section: javascript
 Architecture: all
-Depends:
- ${cdbs:Depends},
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- ${cdbs:Recommends},
-Suggests:
- ${cdbs:Suggests},
+Depends: ${misc:Depends}
+Recommends: javascript-common
+Suggests: coffeescript
 Description: client-side interpreter for the CoffeeScript language
  CoffeeScript is a little language that compiles into JavaScript.
  Underneath all of those embarrassing braces and semicolons, JavaScript
@@ -79,10 +73,10 @@
 Package: coffeescript-doc
 Section: doc
 Architecture: all
-Depends:
- ${misc:Depends},
-Recommends:
- ${cdbs:Recommends},
+Depends: ${misc:Depends}
+Recommends: libjs-coffeescript
+ , libjs-jquery
+ , libjs-underscore
 Description: documentation for the CoffeeScript language
  CoffeeScript is a little language that compiles into JavaScript.
  Underneath all of those embarrassing braces and semicolons, JavaScript
