## coffeescript 2.7.0%2Bdfsg1

=== debian/changelog ===
coffeescript (2.7.0+dfsg1-4) unstable; urgency=medium

  * Source-only upload. 

 -- Jérémy Lal <kapouer@melix.org>  Tue, 25 Nov 2025 11:07:19 +0100

coffeescript (2.7.0+dfsg1-3) unstable; urgency=medium

  [ Alexandre Detiste ]
  * refresh d/copyright-check

  [ Jérémy Lal ]
  * patch: node >= 22 has different import type error message

 -- Jérémy Lal <kapouer@melix.org>  Sat, 22 Nov 2025 21:26:15 +0100

coffeescript (2.7.0+dfsg1-2) unstable; urgency=medium

  * Patch: fix prepareStackTrace detection and test

 -- Jérémy Lal <kapouer@melix.org>  Sun, 26 May 2024 12:27:11 +0200

coffeescript (2.7.0+dfsg1-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.2
  * Drop generated files from import and repack (Closes: #1043853)
    => Build depend on itself
  * Clean lintian overrides

 -- Yadd <yadd@debian.org>  Sun, 13 Aug 2023 17:53:31 +0400
