## coffeescript 2.7.0+dfsg1

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  , Geza Kovacs <gkovacs@mit.edu>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
+ , coffeescript
  , help2man
  , jison
  , node-babel7
  , node-underscore
  , uglifyjs
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/coffeescript
 Vcs-Git: https://salsa.debian.org/js-team/coffeescript.git
 Homepage: https://coffeescript.org/
