=== debian/tests/control ===
Test-Command: make -f debian/tests/smoke.mk
Depends: coffeescript
